org.eclipse.net4j.signal.wrapping

## Class GZIPStreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
  - - org.eclipse.net4j.signal.wrapping.GZIPStreamWrapperInjector

- All Implemented Interfaces:
    IElementProcessor

      public class GZIPStreamWrapperInjector
      extends StreamWrapperInjector

  An `injector` that injects `GZIPStreamWrapper` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GZIPStreamWrapper` | `STREAM_WRAPPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPStreamWrapperInjector(java.lang.String protocolID)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

      `getProtocolID, getStreamWrapper, inject, process, shouldInject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_WRAPPER

          public static final GZIPStreamWrapper STREAM_WRAPPER

  - ### Constructor Detail

    - #### GZIPStreamWrapperInjector

          public GZIPStreamWrapperInjector(java.lang.String protocolID)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html